%define tarname CodeTools
%define name 	python-enthought-codetools
%define version 3.1.2
%define release %mkrel 2

%define epoch	1

Summary:	Enthought Tool Suite - CodeTools project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/code_tools.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-enthought-traits >= %{epoch}:3.5.0
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-setupdocs >= 1.0
BuildRequires:	python-sphinx, python-docutils
%py_requires -d

%description
The CodeTools project includes packages that simplify meta-programming
and help the programmer separate data from code in Python. This
library contains classes that allow defining simple snippets, or
"blocks", of Python code, analyze variable dependencies in the code
block, and use these dependencies to construct or restrict an
execution graph. These (restricted) code blocks can then be executed
in any namespace. However, this project also provides a
Traits-event-enhanced namespace, called a "context", which can be used
in place of a vanilla namespace to allow actions to be performed
whenever variables are assigned or retrieved from the namespace. This
project is used as the foundation for the BlockCanvas project.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build
%__python setup.py build_docs --formats html

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples build/docs/html/



%changelog
* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1:3.1.2-2mdv2011.0
+ Revision: 594085
- rebuld for py 2.7

* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1:3.1.2-1mdv2011.0
+ Revision: 586476
- Update to 3.1.2.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1:3.1.1-2mdv2011.0
+ Revision: 546521
- Rebuild.

* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.1.1-1mdv2010.1
+ Revision: 512025
- Update to 3.1.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.1.0-2mdv2010.0
+ Revision: 419286
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 419032
- Update to 3.1.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2010.0
+ Revision: 363859
- Update to 3.0.2.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358109
- Update to latest upstream svn.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323662
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313510
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298883
- import python-enthought-codetools


